Skip to main content
Required ACL: deleteIndex This operation is resource-intensive. Use it only if you can’t get the object IDs of the records you want to delete. It’s more efficient to get a list of object IDs with the browse operation, and then delete the records using the batch operation. This operation is subject to indexing rate limits.

Usage

// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));

// Call the API
var response = await client.DeleteByAsync(
  "<YOUR_INDEX_NAME>",
  new DeleteByParams { Filters = "brand:brandName" }
);

// print the response
Console.WriteLine(response);
// Initialize the client
final client =
    SearchClient(appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');

// Call the API
final response = await client.deleteBy(
  indexName: "<YOUR_INDEX_NAME>",
  deleteByParams: DeleteByParams(
    filters: "brand:brandName",
  ),
);

// print the response
print(response);
// Initialize the client
client, err := search.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
  // The client can fail to initialize if you pass an invalid parameter.
  panic(err)
}

// Call the API
response, err := client.DeleteBy(client.NewApiDeleteByRequest(
  "<YOUR_INDEX_NAME>",
  search.NewEmptyDeleteByParams().SetFilters("brand:brandName")))
if err != nil {
  // handle the eventual error
  panic(err)
}


// print the response
print(response)
// Initialize the client
SearchClient client = new SearchClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");

// Call the API
UpdatedAtResponse response = client.deleteBy("<YOUR_INDEX_NAME>", new DeleteByParams().setFilters("brand:brandName"));

// print the response
System.out.println(response);
// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');

// Call the API
const response = await client.deleteBy({ indexName: 'theIndexName', deleteByParams: { filters: 'brand:brandName' } });


// print the response
console.log(response);
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")

// Call the API
var response =
  client.deleteBy(
    indexName = "<YOUR_INDEX_NAME>",
    deleteByParams = DeleteByParams(filters = "brand:brandName"),
  )


// print the response
println(response)
// Initialize the client
$client = SearchClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');

// Call the API
$response = $client->deleteBy(
    '<YOUR_INDEX_NAME>',
    ['filters' => 'brand:brandName',
    ],
);


// print the response
var_dump($response);
# Initialize the client
# In an asynchronous context, you can use SearchClient instead, which exposes the exact same methods.
client = SearchClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")

# Call the API
response = client.delete_by(
    index_name="<YOUR_INDEX_NAME>",
    delete_by_params={
        "filters": "brand:brandName",
    },
)


# print the response
print(response)
# Initialize the client
client = Algolia::SearchClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")

# Call the API
response = client.delete_by("<YOUR_INDEX_NAME>", Algolia::Search::DeleteByParams.new(filters: "brand:brandName"))


# print the response
puts(response)
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")

// Call the API
val response = Await.result(
  client.deleteBy(
    indexName = "<YOUR_INDEX_NAME>",
    deleteByParams = DeleteByParams(
      filters = Some("brand:brandName")
    )
  ),
  Duration(100, "sec")
)

// print the response
println(response)
// Initialize the client
let client = try SearchClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")

// Call the API
let response = try await client.deleteBy(
    indexName: "<YOUR_INDEX_NAME>",
    deleteByParams: DeleteByParams(filters: "brand:brandName")
)

// print the response
print(response)

See the full API reference

For more details about input parameters and response fields.
See also: Should I use the deleteBy method for deleting records
Last modified on March 25, 2026